org.apache.mina.transport.socket

## Class DefaultDatagramSessionConfig

- java.lang.Object
- - org.apache.mina.core.session.AbstractIoSessionConfig
  - - org.apache.mina.transport.socket.AbstractDatagramSessionConfig
    - - org.apache.mina.transport.socket.DefaultDatagramSessionConfig

- All Implemented Interfaces:
    IoSessionConfig, DatagramSessionConfig

      public class DefaultDatagramSessionConfig
      extends AbstractDatagramSessionConfig

  A default implementation of `DatagramSessionConfig`.
  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultDatagramSessionConfig()` Creates a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getReceiveBufferSize()`
    `int` | `getSendBufferSize()`
    `int` | `getTrafficClass()`
    `boolean` | `isBroadcast()`
    `protected boolean` | `isBroadcastChanged()` Returns `true` if and only if the `broadcast` property has been changed by its setter method.
    `protected boolean` | `isReceiveBufferSizeChanged()` Returns `true` if and only if the `receiveBufferSize` property has been changed by its setter method.
    `boolean` | `isReuseAddress()`
    `protected boolean` | `isReuseAddressChanged()` Returns `true` if and only if the `reuseAddress` property has been changed by its setter method.
    `protected boolean` | `isSendBufferSizeChanged()` Returns `true` if and only if the `sendBufferSize` property has been changed by its setter method.
    `protected boolean` | `isTrafficClassChanged()` Returns `true` if and only if the `trafficClass` property has been changed by its setter method.
    `void` | `setBroadcast(boolean broadcast)`
    `void` | `setReceiveBufferSize(int receiveBufferSize)`
    `void` | `setReuseAddress(boolean reuseAddress)`
    `void` | `setSendBufferSize(int sendBufferSize)`
    `void` | `setTrafficClass(int trafficClass)`

    - ### Methods inherited from class org.apache.mina.transport.socket.AbstractDatagramSessionConfig

      `doSetAll, isCloseOnPortUnreachable, setCloseOnPortUnreachable`

    - ### Methods inherited from class org.apache.mina.core.session.AbstractIoSessionConfig

      `getBothIdleTime, getBothIdleTimeInMillis, getIdleTime, getIdleTimeInMillis, getMaxReadBufferSize, getMinReadBufferSize, getReadBufferSize, getReaderIdleTime, getReaderIdleTimeInMillis, getThroughputCalculationInterval, getThroughputCalculationIntervalInMillis, getWriterIdleTime, getWriterIdleTimeInMillis, getWriteTimeout, getWriteTimeoutInMillis, isUseReadOperation, setAll, setBothIdleTime, setIdleTime, setMaxReadBufferSize, setMinReadBufferSize, setReadBufferSize, setReaderIdleTime, setThroughputCalculationInterval, setUseReadOperation, setWriterIdleTime, setWriteTimeout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.mina.core.session.IoSessionConfig

      `getBothIdleTime, getBothIdleTimeInMillis, getIdleTime, getIdleTimeInMillis, getMaxReadBufferSize, getMinReadBufferSize, getReadBufferSize, getReaderIdleTime, getReaderIdleTimeInMillis, getThroughputCalculationInterval, getThroughputCalculationIntervalInMillis, getWriterIdleTime, getWriterIdleTimeInMillis, getWriteTimeout, getWriteTimeoutInMillis, isUseReadOperation, setAll, setBothIdleTime, setIdleTime, setMaxReadBufferSize, setMinReadBufferSize, setReadBufferSize, setReaderIdleTime, setThroughputCalculationInterval, setUseReadOperation, setWriterIdleTime, setWriteTimeout`

- - ### Constructor Detail

    - #### DefaultDatagramSessionConfig

          public DefaultDatagramSessionConfig()

      Creates a new instance.

  - ### Method Detail

    - #### isBroadcast

          public boolean isBroadcast()

      See Also:
        `DatagramSocket.getBroadcast()`

    - #### setBroadcast

          public void setBroadcast(boolean broadcast)

      See Also:
        `DatagramSocket.setBroadcast(boolean)`

    - #### isReuseAddress

          public boolean isReuseAddress()

      See Also:
        `DatagramSocket.getReuseAddress()`

    - #### setReuseAddress

          public void setReuseAddress(boolean reuseAddress)

      See Also:
        `DatagramSocket.setReuseAddress(boolean)`

    - #### getReceiveBufferSize

          public int getReceiveBufferSize()

      See Also:
        `DatagramSocket.getReceiveBufferSize()`

    - #### setReceiveBufferSize

          public void setReceiveBufferSize(int receiveBufferSize)

      See Also:
        `DatagramSocket.setReceiveBufferSize(int)`

    - #### getSendBufferSize

          public int getSendBufferSize()

      See Also:
        `DatagramSocket.getSendBufferSize()`

    - #### setSendBufferSize

          public void setSendBufferSize(int sendBufferSize)

      See Also:
        `DatagramSocket.setSendBufferSize(int)`

    - #### getTrafficClass

          public int getTrafficClass()

      See Also:
        `DatagramSocket.getTrafficClass()`

    - #### setTrafficClass

          public void setTrafficClass(int trafficClass)

      See Also:
        `DatagramSocket.setTrafficClass(int)`

    - #### isBroadcastChanged

          protected boolean isBroadcastChanged()

      Description copied from class: `AbstractDatagramSessionConfig`
      Returns `true` if and only if the `broadcast` property has been changed by its setter method. The system call related with the property is made only when this method returns `true`. By default, this method always returns `true` to simplify implementation of subclasses, but overriding the default behavior is always encouraged.
      Overrides:
        `isBroadcastChanged` in class `AbstractDatagramSessionConfig`

    - #### isReceiveBufferSizeChanged

          protected boolean isReceiveBufferSizeChanged()

      Description copied from class: `AbstractDatagramSessionConfig`
      Returns `true` if and only if the `receiveBufferSize` property has been changed by its setter method. The system call related with the property is made only when this method returns `true`. By default, this method always returns `true` to simplify implementation of subclasses, but overriding the default behavior is always encouraged.
      Overrides:
        `isReceiveBufferSizeChanged` in class `AbstractDatagramSessionConfig`

    - #### isReuseAddressChanged

          protected boolean isReuseAddressChanged()

      Description copied from class: `AbstractDatagramSessionConfig`
      Returns `true` if and only if the `reuseAddress` property has been changed by its setter method. The system call related with the property is made only when this method returns `true`. By default, this method always returns `true` to simplify implementation of subclasses, but overriding the default behavior is always encouraged.
      Overrides:
        `isReuseAddressChanged` in class `AbstractDatagramSessionConfig`

    - #### isSendBufferSizeChanged

          protected boolean isSendBufferSizeChanged()

      Description copied from class: `AbstractDatagramSessionConfig`
      Returns `true` if and only if the `sendBufferSize` property has been changed by its setter method. The system call related with the property is made only when this method returns `true`. By default, this method always returns `true` to simplify implementation of subclasses, but overriding the default behavior is always encouraged.
      Overrides:
        `isSendBufferSizeChanged` in class `AbstractDatagramSessionConfig`

    - #### isTrafficClassChanged

          protected boolean isTrafficClassChanged()

      Description copied from class: `AbstractDatagramSessionConfig`
      Returns `true` if and only if the `trafficClass` property has been changed by its setter method. The system call related with the property is made only when this method returns `true`. By default, this method always returns `true` to simplify implementation of subclasses, but overriding the default behavior is always encouraged.
      Overrides:
        `isTrafficClassChanged` in class `AbstractDatagramSessionConfig`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.